crypto-pubkey-0.2.8: Public Key cryptography

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | Good
Safe Haskell | None
Language | Haskell98

Crypto.PubKey.RSA.Prim

Contents

- decrypt primitive
- encrypt primitive

Description

Synopsis

- dp :: Maybe Blinder -> PrivateKey -> ByteString -> ByteString
- ep :: PublicKey -> ByteString -> ByteString

# decrypt primitive

dp :: Maybe Blinder -> PrivateKey -> ByteString -> ByteString #

Compute the RSA decrypt primitive. if the p and q numbers are available, then dpFast is used otherwise, we use dpSlow which only need d and n.

# encrypt primitive

ep :: PublicKey -> ByteString -> ByteString #

Compute the RSA encrypt primitive